<template>
  <footer class="footer is-flex is-flex-wrap-wrap">
    <div class="p-3">
      <img src="/logo-mark.svg" alt="TRANSTORMER LOGO" id="footer-logo" />
    </div>
    <div class="p-3 is-flex is-flex-wrap-wrap">
      <FooterCategory
        v-for="(nav, nx) in navs"
        :key="'fnav_' + nx"
        :category="nav"
      />
    </div>
  </footer>
</template>

<script setup lang="ts">
import FooterCategory from "./FooterCategory.vue";
const navs = useNavigation();
</script>

<style scoped>
img#footer-logo {
  max-width: 256px;
}
</style>